#
# ATProjectPackage.py
#
# Paquete de archivos para proyectos
#
# Alejandro Álvarez Ayllón - 29/04/2006
#

from Products.Archetypes.public import BaseFolderSchema, Schema, registerType
from Products.Archetypes.public import StringField, TextField
from Products.Archetypes.public import StringWidget, TextAreaWidget
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.utils import getToolByName

import Utils

from config import PROJECTNAME, I18N_DOMAIN

# Campos
schema = Utils.FolderSchema

# Clase ATProjectPackage
class ATProjectPackage(Utils.Content, Utils.BaseFilteredFolder):
    """Project Package"""

    schema = schema

    content_icon    = 'package.gif'
    meta_type       = 'ATProjectPackage'
    portal_type     = 'ProjectPackage'
    archetype_name  = 'Project Package'
    typeDescription = 'Project package'

    actions = ({
        'id'         : 'view',
        'name'       : 'View',
        'action'     : 'string:${object_url}/projectpackage',
        'permissions': (CMFCorePermissions.View,)
        },
               )

    # Tipos permitidos en esta carpeta
    allowedTypes = ['File', 'CVSFile',]

# Registrar el tipo
registerType(ATProjectPackage, PROJECTNAME)
