#
# Generated by dumpDCWorkflow.py written by Sebastien Bigaret
# Original workflow id/title: projectsuggestion_workflow/Project Suggestion Workflow
# Date: 2006/11/02 17:44:36.886 GMT+1
#
# WARNING: this dumps does NOT contain any scripts you might have added to
# the workflow, IT IS YOUR RESPONSABILITY TO MAKE BACKUPS FOR THESE SCRIPTS.
#
# No script detected in this workflow
#
"""
Programmatically create a workflow type.
"""
__version__ = "$Id: dumpDCWorkflow.py 25723 2006-07-04 08:41:22Z b_mathieu $"

from Products.CMFCore.WorkflowTool import addWorkflowFactory
from Products.DCWorkflow.DCWorkflow import DCWorkflowDefinition
from Products.PythonScripts.PythonScript import PythonScript
from Products.ExternalMethod.ExternalMethod import ExternalMethod

def setup_projectsuggestion_workflow(wf):
    """Setup the workflow
    """
    wf.setProperties(title='Project Suggestion Workflow')

    for s in ('assigned', 'closed', 'suggested'):
        wf.states.addState(s)
    for t in ('assign', 'close', 'reopen', 'unassign'):
        wf.transitions.addTransition(t)
    for v in ('action', 'actor', 'comments', 'review_history', 'time'):
        wf.variables.addVariable(v)
    for l in ():
        wf.worklists.addWorklist(l)
    for p in ():
        wf.addManagedPermission(p)

    # Initial State
    wf.states.setInitialState('suggested')

    # State Initialization
    sdef = wf.states['assigned']
    sdef.setProperties(title='Assigned',
                       description='',
                       transitions=('reopen', 'unassign'))

    sdef = wf.states['closed']
    sdef.setProperties(title='Closed',
                       description='',
                       transitions=('assign', 'reopen'))

    sdef = wf.states['suggested']
    sdef.setProperties(title='Suggested',
                       description='',
                       transitions=('close',))

    # Transition Initialization
    tdef = wf.transitions['assign']
    tdef.setProperties(title='Assign',
                       description='Assign a project',
                       new_state_id='assigned',
                       trigger_type=1,
                       script_name='',
                       after_script_name='',
                       actbox_name='',
                       actbox_url='',
                       actbox_category='workflow',
                       props=None,
                       )

    tdef = wf.transitions['close']
    tdef.setProperties(title='Close',
                       description='',
                       new_state_id='closed',
                       trigger_type=1,
                       script_name='',
                       after_script_name='',
                       actbox_name='',
                       actbox_url='',
                       actbox_category='workflow',
                       props=None,
                       )

    tdef = wf.transitions['reopen']
    tdef.setProperties(title='Reopen',
                       description='',
                       new_state_id='suggested',
                       trigger_type=1,
                       script_name='',
                       after_script_name='',
                       actbox_name='',
                       actbox_url='',
                       actbox_category='workflow',
                       props=None,
                       )

    tdef = wf.transitions['unassign']
    tdef.setProperties(title='Unassign',
                       description='',
                       new_state_id='closed',
                       trigger_type=1,
                       script_name='',
                       after_script_name='',
                       actbox_name='',
                       actbox_url='',
                       actbox_category='workflow',
                       props=None,
                       )

    # State Variable
    wf.variables.setStateVar('state')

    # Variable Initialization
    vdef = wf.variables['action']
    vdef.setProperties(description='The last transition',
                       default_value='',
                       default_expr='transition/getId|nothing',
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    vdef = wf.variables['actor']
    vdef.setProperties(description='',
                       default_value='',
                       default_expr='user/getId',
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    vdef = wf.variables['comments']
    vdef.setProperties(description='Comments about the last transition',
                       default_value='',
                       default_expr="python:state_change.kwargs.get('comment', '')",
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    vdef = wf.variables['review_history']
    vdef.setProperties(description='Provides access to workflow history',
                       default_value='',
                       default_expr='state_change/getHistory',
                       for_catalog=0,
                       for_status=1,
                       update_always=0,
                       props={'guard_permissions': 'Request review; Review portal content'})

    vdef = wf.variables['time']
    vdef.setProperties(description='Time of the last transition',
                       default_value='',
                       default_expr='state_change/getDateTime',
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    # Worklist Initialization
def create_projectsuggestion_workflow(id):
    """Create, setup and return the workflow.
    """
    ob = DCWorkflowDefinition(id)
    setup_projectsuggestion_workflow(ob)
    return ob

addWorkflowFactory(create_projectsuggestion_workflow,
                   id='projectsuggestion_workflow',
                   title='Project Suggestion Workflow')
