#
# __init__.py
#
# Módulo de inicialización
#
# Alejandro Álvarez Ayllón - 01/04/2006
#
from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

from config import SKINS_DIR, GLOBALS, PROJECTNAME

registerDirectory(SKINS_DIR, GLOBALS, "i18n")

def initialize(context):
    """
    Descripción: Inicializa el producto.
    Parámetros:  context = Contexto de ejecución.
    Devuelve:    Nada.
    """
    ## Tipos a registrar (Archetypes)
    import ATProject
    import ATProjectSuggestion
    import ATProjectFolder
    import ATProjectPackage
    import ATCVSFile
    ## Tools
    import ForjaTool
    import MembershipTool

    # Contenidos
    from permissions import ADD_PERMISSIONS
    
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    all_types = zip(content_types, constructors)
    for content, constructor in all_types:
        kind = '%s: %s' % (PROJECTNAME, content.portal_type)
        utils.ContentInit(
            kind,
            content_types      = (content,),
            permission         = ADD_PERMISSIONS[content.portal_type],
            extra_constructors = (constructor,),
            fti                = ftis,
            ).initialize(context)

    # Herramientas
    utils.ToolInit(
        PROJECTNAME + ' Tools',
        icon = 'anvil.gif',
        tools = (ForjaTool.ForjaTool, MembershipTool.MembershipTool),
        product_name = PROJECTNAME,
        ).initialize(context)

