#
# ATRef_Booklet.py
#
# Referencias bibliográficas basadas en BibTex
#
# Trabajo impreso sin editorial ni organización definida
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, IntegerField
from Products.Archetypes.public import StringWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATReference import ATReference

# Campos
schema = ATReference.schema +  Schema((
    IntegerField('pages',
		widget = StringWidget(label       = 'Páginas',
                                      label_msgid = 'pages',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('edition',
		widget = StringWidget(label       = 'Edición',
                                      label_msgid = 'edition',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('date',
		widget = StringWidget(label       = 'Fecha',
                                      label_msgid = 'date',
                                      i18n_domain = 'References',
                                      )
              ),
    ),
                              )
# Clase
class ATRef_Booklet(ATReference):
    """Booklet Reference"""

    schema = schema

    content_icon    = 'ref_book.gif'
    meta_type       = 'ATRef_Booklet'
    portal_type     = 'BookletReference'
    archetype_name  = 'Booklet Reference'
    typeDescription = 'Booklet Reference'

    actions = ({ 'id'         : 'view',
                 'name'       : 'View',
                 'action'     : 'string:${object_url}/booklet_view',
                 'permissions': (CMFCorePermissions.View,)
               },)

# Registrar el tipo
registerType(ATRef_Booklet, PROJECTNAME)
