#
# ATRef_Thesis.py
#
# Referencias bibliográficas basadas en BibTex
#
# Tésis
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField
from Products.Archetypes.public import StringWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATReference import ATReference

# Campos
schema = ATReference.schema +  Schema((
    StringField('school',
                searchable = 1,
		widget = StringWidget(label       = 'Escuela',
                                      label_msgid = 'school',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('area',
		widget = StringWidget(label       = 'Área',
                                      label_msgid = 'area',
                                      i18n_domain = 'References',
                                      )
              ),
    StringField('date',
		widget = StringWidget(label       = 'Fecha',
                                      label_msgid = 'date',
                                      i18n_domain = 'References',
                                      )
	      ),

    ),
                              )

# Clase
class ATRef_Thesis(ATReference):
    """Thesis Reference"""

    schema = schema

    content_icon    = 'ref_thesis.gif'
    meta_type       = 'ATRef_Thesis'
    portal_type     = 'ThesisReference'
    archetype_name  = 'Thesis Reference'
    typeDescription = 'Thesis Reference'

    actions = ({
	'id'         : 'view',
	'name'       : 'View',
	'action'     : 'string:${object_url}/thesis_view',
	'permissions': (CMFCorePermissions.View,)
	},)

# Registrar el tipo
registerType(ATRef_Thesis, PROJECTNAME)
